Auto-Tactic\ enable=false
Auto-Tactics\ Profil=Default Auto Tactic with SMT
Post-Tactic\ enable=false
Post-Tactics\ Profil=Default Auto Tactic with SMT
Tactics\ Map=<?xml version\="1.0" encoding\="UTF-8" standalone\="no"?>\n<tactic_pref>\n    <pref_unit pref_key\="Default Post Tactic Profile">\n        <combined combinator_id\="org.eventb.core.seqprover.loopOnAllPending" tactic_id\="org.eventb.core.postTactics.default">\n            <simple tactic_id\="org.eventb.core.seqprover.trueGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.falseHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.goalInHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.goalDisjInHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.funGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.InDomGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.FunImgInGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.finiteHypBoundedGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.dtDestrWDTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.genMPTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.autoRewriteTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.NNFTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.typeRewriteTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.existsHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.findContrHypsTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.eqHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.shrinkImpHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.shrinkEnumHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.funOvrGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.clarifyGoalTac"/>\n        </combined>\n    </pref_unit>\n    <pref_unit pref_key\="Default Auto Tactic Profile">\n        <combined combinator_id\="org.eventb.core.seqprover.loopOnAllPending" tactic_id\="org.eventb.core.pomTactics.default">\n            <simple tactic_id\="org.eventb.core.seqprover.trueGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.falseHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.goalInHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.funGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.finiteHypBoundedGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.partitionRewriteTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.genMPTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.autoRewriteTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.NNFTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.typeRewriteTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.findContrHypsTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.finiteInclusionTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.shrinkImpHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.funOvrGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.clarifyGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.onePointGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.funOvrHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.funImgSimpTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.onePointHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.eqHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.InDomGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.FunImgInGoalTac"/>\n            <simple tactic_id\="com.clearsy.atelierb.provers.core.ml"/>\n            <simple tactic_id\="com.clearsy.atelierb.provers.core.p0"/>\n            <simple tactic_id\="org.eventb.core.seqprover.dtDestrWDTac"/>\n        </combined>\n    </pref_unit>\n    <pref_unit pref_key\="Default Auto Tactic with SMT">\n        <combined combinator_id\="org.eventb.core.seqprover.loopOnAllPending" tactic_id\="org.eventb.smt.core.default">\n            <simple tactic_id\="org.eventb.core.seqprover.trueGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.falseHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.goalInHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.funGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.finiteHypBoundedGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.partitionRewriteTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.genMPTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.autoRewriteTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.NNFTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.typeRewriteTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.findContrHypsTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.finiteInclusionTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.shrinkImpHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.funOvrGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.clarifyGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.onePointGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.funOvrHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.funImgSimpTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.onePointHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.eqHypTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.InDomGoalTac"/>\n            <simple tactic_id\="org.eventb.core.seqprover.FunImgInGoalTac"/>\n            <simple tactic_id\="com.clearsy.atelierb.provers.core.ml"/>\n            <simple tactic_id\="com.clearsy.atelierb.provers.core.p0"/>\n            <combined combinator_id\="org.eventb.core.seqprover.attemptAfterLasso" tactic_id\="org.eventb.smt.core.lasso">\n                <simple tactic_id\="org.eventb.smt.core.autoTactic"/>\n            </combined>\n            <simple tactic_id\="org.eventb.core.seqprover.dtDestrWDTac"/>\n        </combined>\n    </pref_unit>\n</tactic_pref>\n
eclipse.preferences.version=1
